// HexEditDlgDlg.h : header file
//
//{{AFX_INCLUDES()
#include "hexedit.h"
//}}AFX_INCLUDES

#if !defined(AFX_HEXEDITDLGDLG_H__41B4CE44_B3CE_42F5_98F0_2AAF6E34F139__INCLUDED_)
#define AFX_HEXEDITDLGDLG_H__41B4CE44_B3CE_42F5_98F0_2AAF6E34F139__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CHexEditDlgDlg dialog

class CHexEditDlgDlg : public CDialog
{
// Construction
public:
	CHexEditDlgDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CHexEditDlgDlg)
	enum { IDD = IDD_HEXEDITDLG_DIALOG };
	int		m_nColumns;
	int		m_nDigitsInAddr;
	int		m_nDigitsInData;
	CHexEdit	m_ctlHexEdit;
	BOOL	m_bShowAddr;
	BOOL	m_bShowAscii;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHexEditDlgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	BOOL UpdateData( BOOL bSaveAndValidate = TRUE );

// Implementation
protected:
	CString m_strFileName;
	bool m_bInitialized;
	HICON m_hIcon;
	COleSafeArray arr;

	// Generated message map functions
	//{{AFX_MSG(CHexEditDlgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChangeColumns();
	afx_msg void OnColauto();
	afx_msg void OnDigitsInAddr();
	afx_msg void OnDigitsInData();
	afx_msg void OnShowascii();
	afx_msg void OnShowaddr();
	afx_msg void OnLoaddata();
	afx_msg void OnExit();
	afx_msg void OnSave();
	afx_msg void OnNewfile();
	afx_msg void OnDeltaposSpin1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusColumns();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HEXEDITDLGDLG_H__41B4CE44_B3CE_42F5_98F0_2AAF6E34F139__INCLUDED_)
